# DataExchange
TKSTEPBase
StepBasic

# StepBasic_PersonAndOrganizationAssignment Class Reference

`#include <StepBasic_PersonAndOrganizationAssignment.hxx>`

Inheritance diagram for StepBasic_PersonAndOrganizationAssignment:

[legend]

## Public Member Functions

virtual Standard_EXPORT void | Init (const Handle(StepBasic_PersonAndOrganization)&aAssignedPersonAndOrganization, const Handle(StepBasic_PersonAndOrganizationRole)&aRole)
Standard_EXPORT void | SetAssignedPersonAndOrganization (const Handle(StepBasic_PersonAndOrganization)&aAssignedPersonAndOrganization)
Standard_EXPORT Handle_StepBasic_PersonAndOrganization | AssignedPersonAndOrganization () const
Standard_EXPORT void | SetRole (const Handle(StepBasic_PersonAndOrganizationRole)&aRole)
Standard_EXPORT Handle_StepBasic_PersonAndOrganizationRole | Role () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepBasic_PersonAndOrganization | assignedPersonAndOrganization
Handle_StepBasic_PersonAndOrganizationRole | role

## Member Function Documentation

Standard_EXPORT Handle_StepBasic_PersonAndOrganization StepBasic_PersonAndOrganizationAssignment::AssignedPersonAndOrganization | ( |  | ) | const

Standard_EXPORT const StepBasic_PersonAndOrganizationAssignment::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in StepAP203_CcDesignPersonAndOrganizationAssignment, StepAP214_AppliedPersonAndOrganizationAssignment, StepAP214_AutoDesignDateAndPersonAssignment, and StepAP214_AutoDesignPersonAndOrganizationAssignment.

virtual Standard_EXPORT void StepBasic_PersonAndOrganizationAssignment::Init | ( | const Handle(StepBasic_PersonAndOrganization)& | aAssignedPersonAndOrganization,
|  | const Handle(StepBasic_PersonAndOrganizationRole)& | aRole
| ) | `[virtual]`

| Reimplemented in StepAP214_AppliedPersonAndOrganizationAssignment, StepAP214_AutoDesignDateAndPersonAssignment, and StepAP214_AutoDesignPersonAndOrganizationAssignment.

Standard_EXPORT Handle_StepBasic_PersonAndOrganizationRole StepBasic_PersonAndOrganizationAssignment::Role | ( |  | ) | const

Standard_EXPORT void StepBasic_PersonAndOrganizationAssignment::SetAssignedPersonAndOrganization | ( | const Handle(StepBasic_PersonAndOrganization)& | aAssignedPersonAndOrganization | ) |

Standard_EXPORT void StepBasic_PersonAndOrganizationAssignment::SetRole | ( | const Handle(StepBasic_PersonAndOrganizationRole)& | aRole | ) |

## Field Documentation

Handle_StepBasic_PersonAndOrganization StepBasic_PersonAndOrganizationAssignment::assignedPersonAndOrganization `[private]`

Handle_StepBasic_PersonAndOrganizationRole StepBasic_PersonAndOrganizationAssignment::role `[private]`

The documentation for this class was generated from the following file:

- StepBasic_PersonAndOrganizationAssignment.hxx